const main = document.querySelector("main");

// alle Buttons zusammen
const umschaltButtons = document.querySelectorAll(".umschalter button");

// der Button mit der ID "multicolumn"
const multicolumnButton = document.querySelector("#multicolumn");

// der Button mit der ID "grid
const gridButton = document.querySelector("#grid");

// der Button mit der ID "flexbox"
const flexboxButton = document.querySelector("#flexbox");

// Aussehen der Buttons im Header zeigt an
// welches Layout gerade aktiv ist
function umschaltButtonsKlasseWeg(currentButton) {
  // alle Klassen erst mal weg
  umschaltButtons.forEach(function (ereignis) {
    ereignis.removeAttribute("class");
  });
  currentButton.classList.add("current");
}

// klickt man auf den multicolumnButton, wird das Grid angeschaltet
multicolumnButton.addEventListener("click", function () {
  // alle Klassen erst mal weg
  main.removeAttribute("class");
  main.classList.add("multiColumn");

  // Aussehen der Buttons verändern
  umschaltButtonsKlasseWeg(multicolumnButton);
});

// klickt man auf den gridButton, wird das Grid angeschaltet
gridButton.addEventListener("click", function () {
  // alle Klassen erst mal weg
  main.removeAttribute("class");
  main.classList.add("grid");

  // Aussehen der Buttons verändern
  umschaltButtonsKlasseWeg(gridButton);
});

// klickt man auf den flexboxButton, wird das Grid angeschaltet
flexboxButton.addEventListener("click", function () {
  // alle Klassen erst mal weg
  main.removeAttribute("class");
  main.classList.add("flexbox");

  // Aussehen der Buttons verändern
  umschaltButtonsKlasseWeg(flexboxButton);
});
